<?php
// +-----------------------------------------------------------------------+
// | akBookStyle  - a plugin for Piwigo                                    |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
// | Copyright(C) 2009      vdigital                                       |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
// | MA 02110-1301 USA                                                     |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) {
  die('Hacking attempt!');
}

$ThumbnailsLocations = array('top' => 'Top',
                             'left' => 'Left',
                             'bottom' => 'Bottom',
                             'right' => 'Right');
$MouseEvents = array('click' => 'Click',
		     'mouseover' => 'Mouseover');

$me = get_plugin_data($plugin_id);
$save_config = false;

if (!empty($_POST['submit'])) {
  if (!empty($_POST['ak_categories']) && $_POST['ak_categories']!=$me->ak_categories) {
    $me->ak_categories = $_POST['ak_categories'];
    array_push($GLOBALS['page']['infos'],
               l10n_dec('Applicable category has been updated',
                        'Applicable categories have been updated',
                        count($_POST['ak_categories'])));
    $save_config = true;
  }

  if (!empty($_POST['ak_by_page']) && intval($_POST['ak_by_page'])!=$me->ak_by_page) {
    $me->ak_by_page = intval($_POST['ak_by_page']);
    array_push($GLOBALS['page']['infos'], l10n('Thumbnails per page has been updated'));
    $save_config = true;
  }

  if (!empty($_POST['ak_by_line']) && intval($_POST['ak_by_line'])!=$me->ak_by_line) {
    $me->ak_by_line = intval($_POST['ak_by_line']);
    array_push($GLOBALS['page']['infos'], l10n('Number of column has been updated'));
    $save_config = true;
  }

  if (!empty($_POST['ak_thumbnail_size']) && $_POST['ak_thumbnail_size']!=$me->ak_thumbnail_size) {
    $me->ak_thumbnail_size = (int) $_POST['ak_thumbnail_size'];
    array_push($GLOBALS['page']['infos'], l10n('Thumbnail size has been updated'));
    $save_config = true;
  }

  if (!empty($_POST['ak_mouse_event']) && $_POST['ak_mouse_event']!=$me->ak_mouse_event) {
    if (isset($MouseEvents[$_POST['ak_mouse_event']])) {
      $me->ak_mouse_event = $_POST['ak_mouse_event'];
    } else {
      $me->ak_mouse_event = 'click';
    }
    array_push($GLOBALS['page']['infos'], l10n('Event to show medium picture has been updated.'));
    $save_config = true;
  }

  if (!empty($_POST['ak_thumbnails_loc']) && $_POST['ak_thumbnails_loc']!=$me->ak_thumbnails_loc) {
    if (isset($ThumbnailsLocations[$_POST['ak_thumbnails_loc']])) {
      $me->ak_thumbnails_loc = $_POST['ak_thumbnails_loc'];
    } else {
      $me->ak_thumbnails_loc = 'left';    }
    array_push($GLOBALS['page']['infos'], l10n('Thumbnails location has been changed'));
    $save_config = true;
  }

  if ($save_config) {
    $me->save_config();
  }
}

$query = '
SELECT id,name
  FROM '.CATEGORIES_TABLE;

$all_categories = simple_hash_from_query($query, 'id', 'name');

$GLOBALS['template']->set_filenames(array('plugin_admin_content' => AK_PLUGIN_TEMPLATE . '/admin.tpl'));
$GLOBALS['template']->assign('AK_PLUGIN_CSS', AK_PLUGIN_CSS);
$GLOBALS['template']->assign('ALL_CATEGORIES', $all_categories); 
$GLOBALS['template']->assign('AK_CATEGORIES', $me->ak_categories); 
$GLOBALS['template']->assign('AK_BY_PAGE', $me->ak_by_page); 
$GLOBALS['template']->assign('AK_BY_LINE', $me->ak_by_line); 
$GLOBALS['template']->assign('AK_THUMBNAIL_SIZE', $me->ak_thumbnail_size); 
$GLOBALS['template']->assign('AK_MOUSE_EVENT', $me->ak_mouse_event); 
$GLOBALS['template']->assign('AK_AVAILABLE_EVENTS', array_keys($MouseEvents)); 
$GLOBALS['template']->assign('AK_EVENTS_LABELS', array_values($MouseEvents)); 
$GLOBALS['template']->assign('AK_THUMBNAILS_LOC', $me->ak_thumbnails_loc); 
$GLOBALS['template']->assign('AK_THUMBNAILS_LOCATIONS_KEYS', array_keys($ThumbnailsLocations)); 
$GLOBALS['template']->assign('AK_THUMBNAILS_LOCATIONS_VALUES', array_values($ThumbnailsLocations)); 
$GLOBALS['template']->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
?>